Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deft.extension.decoration.style.container
Class StyleContainer

    java.lang.Object
      org.deft.extension.decoration.style.container.StyleContainer

Direct Known Subclasses:
  CssClassStyleContainer, CssDeclarationStyleContainer

    public abstract class StyleContainer

extends java.lang.Object

Stores style information for a node in the AST.

Author:
  Martin Heinzerling

Constructor Summary
`StyleContainer()`
`StyleContainer(java.lang.String text)`

Method Summary
`abstract StyleContainer` | `clone()`
`abstract void` | `parse(java.lang.String text)` Loads informations from a string to the Container.
`abstract java.lang.String` | `renderIdAttribute()` Needed for the possibility of mixed StyleContainer.
`abstract java.lang.String` | `renderValueAttribute()` Returns the string representation of its content for the value attribute of the XML representation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleContainer

    public StyleContainer()

### StyleContainer

    public StyleContainer(java.lang.String text)

Method Detail

### parse

    public abstract void parse(java.lang.String text)

  Loads informations from a string to the Container.

  Parameters:
    `text` - String

### renderValueAttribute

    public abstract java.lang.String renderValueAttribute()

  Returns the string representation of its content for the value attribute of the XML representation.

  Returns:
    String

### renderIdAttribute

    public abstract java.lang.String renderIdAttribute()

  Needed for the possibility of mixed StyleContainer.

  Returns:
    String id attribute for XML representation

### clone

    public abstract StyleContainer clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD